Subject: [tsvwg] I-D Action: draft-ietf-tsvwg-nqb-10.txt

From: [email-masked]
Date: Fri, 04 Mar 2022 12:50:30 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Transport Area Working Group WG of the IETF.

        Title           : A Non-Queue-Building Per-Hop Behavior (NQB PHB) for Differentiated Services
        Authors         : Greg White
                          Thomas Fossati
	Filename        : draft-ietf-tsvwg-nqb-10.txt
	Pages           : 22
	Date            : 2022-03-04

Abstract:
   This document specifies properties and characteristics of a Non-
   Queue-Building Per-Hop Behavior (NQB PHB).  The purpose of this NQB
   PHB is to provide a separate queue that enables smooth, low-data-
   rate, application-limited traffic flows, which would ordinarily share
   a queue with bursty and capacity-seeking traffic, to avoid the
   latency, latency variation and loss caused by such traffic.  This PHB
   is implemented without prioritization and without rate policing,
   making it suitable for environments where the use of either these
   features may be restricted.  The NQB PHB has been developed primarily
   for use by access network segments, where queuing delays and queuing
   loss caused by Queue-Building protocols are manifested, but its use
   is not limited to such segments.  In particular, applications to
   cable broadband links, Wi-Fi links, and mobile network radio and core
   segments are discussed.  This document recommends a specific
   Differentiated Services Code Point (DSCP) to identify Non-Queue-
   Building flows.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-nqb/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-nqb-10

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Greg White <[email-masked]>
Date: Fri, 4 Mar 2022 22:22:21 +0000

All,

This update of NQB (draft-10) has the following changes:

1.	Updates in the Sender Requirements section 4.1 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-non-queue-building-sender-r )
	a.	s/exceeds the expected path capacity/exceeds a fairly small fraction of the expected path capacity/  to fix the issue I inadvertently introduced in draft-09
	b.	s/1 Mbps is a reasonable expectation of path capacity/1 Mbps is a reasonable upper bound on instantaneous traffic rate for an NQB-marked application/ to fix the issue I inadvertently introduced in draft-09
	c.	changed text around the reference to L4S congestion control and remove reference to RFC8085 in that sentence
	d.	Expand the rationale for choosing DSCP 45, and also mention a fallback DSCP of CS5

2.	Updates in the Aggregation section 4.2 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-aggregation-of-the-nqb-dscp )
	a.	Added a forward reference to Section 4.3
	b.	More discussion on DSCP aggregation, including mention of equipment that effectively classifies on IPP bits

3.	Update in the Traffic Protection section 5.2 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-traffic-protection )
	a.	Added recommendation to base TP decision on actual queuing as opposed to packet arrival rate.

4.	Update in the Guidance for Very Low Rate Links section 5.3 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-guidance-for-very-low-rate- )
	a.	Clarify language that describes what a “very low rate link” is  

5.	Updates in legacy Wi-Fi interoperability section 8.3.1 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-interoperability-with-exist )
	a.	Clarify that reconfiguring AC_VI EDCA params is intended for situation where that AC is used primarily for NQB traffic.

6.	Updates in the IANA Considerations section 10 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-iana-considerations-3 ) 
	a.	Split out the two DSCPs into separate paragraphs
	b.	Add specific details of what should go into the Registry
	c.	Rename the DSCPs ‘NQB-EDGE’ and ‘NQB-CORE’

Items 1a, 1b, 3a were discussed in the February TSVWG interim meeting.  
Items 1d, 2b, were changes suggested to me offlist by David Black
Item 5a is in response to the mailing list comment from Jerome Henry that changing the EDCA parameters makes AC_VI into an NQB access category, and it can no longer be used to provide high priority (https://mailarchive.ietf.org/arch/msg/tsvwg/Lv8Pk9t5ZaLNzfPJbUJgMl-RL4Y/) 
Items 6a 6b 6c were in response to a note from IANA and subsequent guidance from the document shepherd
Item 6c additionally was in response to Dave Täht’s comment during the interim that separate acronyms would be useful
Items 1c, 2a, 4a were editorial nits that I found while making the other changes

Are folks happy with the choice of acronyms in Section 10 (https://www.ietf.org/archive/id/draft-ietf-tsvwg-nqb-10.html#name-iana-considerations-3 ) :   ‘NQB-EDGE’ for the value 45 and ‘NQB-CORE’ for the value 5 ?

-Greg

On 3/4/22, 1:51 PM, "tsvwg on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Abstract: